Package org.italiangrid.voms.ac.impl

# Class LeafVOMSExtensionNormalizationStrategy

java.lang.Object
org.italiangrid.voms.ac.impl.LeafVOMSExtensionNormalizationStrategy

All Implemented Interfaces:
  `VOMSAttributesNormalizationStrategy`, `VOMSConstants`

public class LeafVOMSExtensionNormalizationStrategy extends Object implements VOMSAttributesNormalizationStrategy, VOMSConstants
This strategy extracts the VOMS attributes from the top VOMS extension found in the parsing context passed as argument.

Author:
  Andrea Ceccanti

## Field Summary

### Fields inherited from interface org.italiangrid.voms.asn1.VOMSConstants

`VOMS_CERTS_OID, VOMS_EXTENSION_OID, VOMS_FQANS_OID, VOMS_GENERIC_ATTRS_OID, VOMS_HANDLED_EXTENSIONS`

## Constructor Summary

Constructors
Constructor
Description
`LeafVOMSExtensionNormalizationStrategy()`

## Method Summary

Modifier and Type
Method
Description
`List<VOMSAttribute>`
`normalizeAttributes(List<ACParsingContext> acs)`
Returns the normalized view of VOMS Authorization information starting from a list of VOMS Attribute certificates.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LeafVOMSExtensionNormalizationStrategy

public LeafVOMSExtensionNormalizationStrategy()

## Method Details

### normalizeAttributes

public List<VOMSAttribute> normalizeAttributes(List<ACParsingContext> acs)
Description copied from interface: `VOMSAttributesNormalizationStrategy`
Returns the normalized view of VOMS Authorization information starting from a list of VOMS Attribute certificates.

Specified by:
  `normalizeAttributes` in interface `VOMSAttributesNormalizationStrategy`
Parameters:
  `acs` - a list of `ACParsingContext` objects
Returns:
  a possibly empty list `VOMSAttribute` object